Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 3566)
@@ -53,13 +53,4 @@
       valuesRowsTable = new Dictionary<IObservableList<double>, DataRow>();
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public DataTableView(DataTable content)
-      : this() {
-      Content = content;
-    }
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 3566)
@@ -48,8 +48,4 @@
       Caption = "Checked Item Collection";
     }
-    public CheckedItemCollectionView(ICheckedItemCollection<T> content)
-      : this() {
-      Content = content;
-    }
 
     protected override void DeregisterContentEvents() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 3566)
@@ -59,8 +59,4 @@
       Caption = "Checked Item List";
     }
-    public CheckedItemListView(ICheckedItemList<T> content)
-      : this() {
-      Content = content;
-    }
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 3566)
@@ -45,8 +45,4 @@
     public EngineView() {
       InitializeComponent();
-    }
-    public EngineView(IEngine content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 3566)
@@ -309,9 +309,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="CheckedItemListView.resx">
-      <DependentUpon>CheckedItemListView.cs</DependentUpon>
-    </EmbeddedResource>
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 3566)
@@ -58,8 +58,4 @@
       InitializeComponent();
       Caption = "Item Array";
-    }
-    public ItemArrayView(IItemArray<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 3566)
@@ -48,8 +48,4 @@
       Caption = "Item Collection";
     }
-    public ItemCollectionView(IItemCollection<T> content)
-      : this() {
-      Content = content;
-    }
 
     protected override void DeregisterContentEvents() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 3566)
@@ -59,8 +59,4 @@
       Caption = "Item List";
     }
-    public ItemListView(IItemList<T> content)
-      : this() {
-      Content = content;
-    }
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 3566)
@@ -45,8 +45,4 @@
       Caption = "Item Set";
     }
-    public ItemSetView(IItemSet<T> content)
-      : this() {
-      Content = content;
-    }
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 3566)
@@ -42,8 +42,4 @@
       Caption = "View";
     }
-    public ItemView(IItem content)
-      : this() {
-      Content = content;
-    }
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 3566)
@@ -48,8 +48,4 @@
       InitializeComponent();
       Caption = "LogView";
-    }
-    public LogView(ILog content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 3566)
@@ -43,8 +43,4 @@
       InitializeComponent();
       Caption = "Named Item Collection";
-    }
-    public NamedItemCollectionView(IKeyedItemCollection<string, T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 3566)
@@ -44,8 +44,4 @@
       errorProvider.SetIconAlignment(nameTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(nameTextBox, 2);
-    }
-    public NamedItemView(INamedItem content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 3566)
@@ -38,14 +38,4 @@
       itemsGroupBox.Text = "Operators";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public OperatorCollectionView(IItemCollection<IOperator> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IOperator CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3566)
@@ -49,14 +49,4 @@
       InitializeComponent();
       Caption = "Operator Graph";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="OperatorGraphView"/> 
-    /// with the given <paramref name="operatorGraph"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="OperatorGraphView()"/>.</remarks>
-    /// <param name="operatorGraph">The operator graph to represent visually.</param>
-    public OperatorGraphView(OperatorGraph content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 3566)
@@ -38,14 +38,4 @@
       itemsGroupBox.Text = "Operators";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public OperatorListView(IItemList<IOperator> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IOperator CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 3566)
@@ -38,14 +38,4 @@
       itemsGroupBox.Text = "Operators";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public OperatorSetView(IItemSet<IOperator> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IOperator CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 3566)
@@ -72,14 +72,4 @@
       Caption = "Operator";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="OperatorGraphView"/> 
-    /// with the given <paramref name="operatorGraph"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="OperatorGraphView()"/>.</remarks>
-    /// <param name="operatorGraph">The operator graph to represent visually.</param>
-    public OperatorTreeView(IOperator content)
-      : this() {
-      Content = content;
-    }
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 3566)
@@ -39,14 +39,4 @@
       itemsGroupBox.Text = "Parameters";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public ParameterCollectionView(IKeyedItemCollection<string, IParameter> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IParameter CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.cs	(revision 3566)
@@ -41,12 +41,4 @@
       InitializeComponent();
     }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public ParameterizedNamedItemView(IParameterizedNamedItem content)
-      : this() {
-      Content = content;
-    }
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 3566)
@@ -15,14 +15,4 @@
       itemsGroupBox.Text = "Scopes";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public ScopeListView(IItemList<IScope> content)
-      : this() {
-      Content = content;
-    }
   }
 }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 3566)
@@ -56,14 +56,4 @@
       scopeNodeTable = new Dictionary<IScope, TreeNode>();
       subScopesScopeTable = new Dictionary<ScopeList, IScope>();
-
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="ScopeView"/> with the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="ScopeView()"/>.</remarks>
-    /// <param name="scope">The scope to represent visually.</param>
-    public ScopeView(IScope content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 3566)
@@ -39,14 +39,4 @@
       itemsGroupBox.Text = "Parameters";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public ValueParameterCollectionView(IKeyedItemCollection<string, IValueParameter> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IValueParameter CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 3566)
@@ -15,14 +15,4 @@
       itemsGroupBox.Text = "Variables";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public VariableCollectionView(IKeyedItemCollection<string, IVariable> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IVariable CreateItem() {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 3566)
@@ -49,13 +49,4 @@
       InitializeComponent();
       Caption = "Variable";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public VariableValueView(IVariable content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 3566)
@@ -51,13 +51,4 @@
       InitializeComponent();
       Caption = "Variable";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public VariableView(IVariable content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3566)
@@ -46,8 +46,4 @@
       Caption = "BoolValue View";
     }
-    public BoolValueView(BoolValue content)
-      : this() {
-      Content = content;
-    }
 
     protected override void DeregisterContentEvents() {
@@ -55,5 +51,4 @@
       base.DeregisterContentEvents();
     }
-
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3566)
@@ -47,8 +47,4 @@
       valueComboBox.DataSource = Enum.GetValues(typeof(ComparisonType));
     }
-    public ComparisonView(Comparison content)
-      : this() {
-      Content = content;
-    }
 
     protected override void DeregisterContentEvents() {
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3566)
@@ -50,8 +50,4 @@
       errorProvider.SetIconAlignment(lengthTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(lengthTextBox, 2);
-    }
-    public StringConvertibleArrayView(IStringConvertibleArray content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3566)
@@ -60,8 +60,4 @@
       sortedColumnIndizes = new List<KeyValuePair<int, SortOrder>>();
       rowComparer = new RowComparer();
-    }
-    public StringConvertibleMatrixView(IStringConvertibleMatrix content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3566)
@@ -48,8 +48,4 @@
       errorProvider.SetIconAlignment(valueTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(valueTextBox, 2);
-    }
-    public StringConvertibleValueView(IStringConvertibleValue content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs	(revision 3566)
@@ -48,9 +48,4 @@
     }
 
-    public GraphicalSymbolicExpressionTreeView(SymbolicExpressionTree content)
-      : this() {
-      Content = content;
-    }
-
     protected override void OnContentChanged() {
       base.OnContentChanged();
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs	(revision 3566)
@@ -23,10 +23,4 @@
       Caption = "SymbolicExpression View";
     }
-
-    public SymbolicExpressionView(SymbolicExpressionTree content)
-      : this() {
-      Content = content;
-    }
-
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs	(revision 3566)
@@ -14,9 +14,4 @@
     public AsynchronousContentView() {
       InitializeComponent();
-    }
-
-    public AsynchronousContentView(IContent content)
-      : this() {
-      this.Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 3566)
@@ -33,4 +33,10 @@
 namespace HeuristicLab.MainForm.WindowsForms {
   public partial class ContentView : View, IContentView {
+    public ContentView()
+      : base() {
+      InitializeComponent();
+      this.locked = false;
+    }
+
     private IContent content;
     public IContent Content {
@@ -51,10 +57,4 @@
         }
       }
-    }
-
-    public ContentView()
-      : base() {
-      InitializeComponent();
-      this.locked = false;
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs	(revision 3566)
@@ -55,9 +55,4 @@
     }
 
-    public GraphVisualizationInfoView(IGraphVisualizationInfo content)
-      : this() {
-      this.Content = content;
-    }
-
     public IController Controller {
       get { return this.graphVisualization.Controller; }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 3566)
@@ -51,9 +51,4 @@
         tool.OnToolDeactivate += new EventHandler<ToolEventArgs>(tool_OnToolDeactivate);
       }
-    }
-
-    public OperatorGraphView(OperatorGraph content)
-      : this() {
-      this.Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 3566)
@@ -43,12 +43,4 @@
     public AlgorithmOperatorView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public AlgorithmOperatorView(AlgorithmOperator content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 3566)
@@ -43,12 +43,4 @@
     public MultiOperatorView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public MultiOperatorView(MultiOperator<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 3566)
@@ -44,12 +44,4 @@
     public OperatorView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public OperatorView(IOperator content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 3566)
@@ -43,12 +43,4 @@
     public ValuesCollectorView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public ValuesCollectorView(ValuesCollector content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.cs	(revision 3566)
@@ -49,12 +49,4 @@
     public AlgorithmView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public AlgorithmView(IAlgorithm content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.cs	(revision 3566)
@@ -47,12 +47,4 @@
     public BatchRunView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public BatchRunView(BatchRun content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.cs	(revision 3566)
@@ -47,13 +47,4 @@
     public EngineAlgorithmView() {
       InitializeComponent();
-    }
-
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public EngineAlgorithmView(EngineAlgorithm content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs	(revision 3566)
@@ -44,12 +44,4 @@
     public ExperimentView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public ExperimentView(Experiment content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs	(revision 3566)
@@ -40,14 +40,4 @@
       itemsGroupBox.Text = "Optimizers";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public OptimizerListView(IItemList<IOptimizer> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IOptimizer CreateItem() {
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ProblemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ProblemView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ProblemView.cs	(revision 3566)
@@ -41,12 +41,4 @@
       InitializeComponent();
     }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public ProblemView(IProblem content)
-      : this() {
-      Content = content;
-    }
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs	(revision 3566)
@@ -44,14 +44,4 @@
       base.ReadOnly = true;
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
-    /// the given <paramref name="scope"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
-    /// <param name="scope">The scope whose variables should be represented visually.</param>
-    public ResultCollectionView(IKeyedItemCollection<string, IResult> content)
-      : this() {
-      Content = content;
-    }
 
     protected override IResult CreateItem() {
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 3566)
@@ -57,13 +57,4 @@
       base.ReadOnly = true;
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public ResultView(IResult content)
-      : this() {
-      Content = content;
-    }
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 3566)
@@ -74,9 +74,4 @@
     }
 
-    public RunCollectionBubbleChartView(RunCollection content)
-      : this() {
-      Content = content;
-    }
-
     public new RunCollection Content {
       get { return (RunCollection)base.Content; }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 3566)
@@ -42,9 +42,4 @@
       this.dataGridView.RowHeaderMouseDoubleClick += new DataGridViewCellMouseEventHandler(dataGridView_RowHeaderMouseDoubleClick);
       base.ReadOnly = true;
-    }
-
-    public RunCollectionTabularView(RunCollection content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs	(revision 3566)
@@ -52,9 +52,4 @@
     }
 
-    public RunCollectionView(IItemCollection<IRun> content)
-      : this() {
-      Content = content;
-    }
-
     protected override void DeregisterContentEvents() {
       Content.ItemsAdded -= new CollectionItemsChangedEventHandler<IRun>(Content_ItemsAdded);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs	(revision 3566)
@@ -56,13 +56,4 @@
       Caption = "Run";
       base.ReadOnly = true;
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public RunView(IRun content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.cs	(revision 3566)
@@ -45,12 +45,4 @@
     public UserDefinedAlgorithmView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public UserDefinedAlgorithmView(UserDefinedAlgorithm content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 3566)
@@ -55,13 +55,4 @@
       Caption = "ConstrainedValueParameter";
       valueComboBoxItems = new List<T>();
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public ConstrainedValueParameterView(OptionalConstrainedValueParameter<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 3566)
@@ -50,13 +50,4 @@
       InitializeComponent();
       Caption = "LookupParameter";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public LookupParameterView(ILookupParameter<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs	(revision 3566)
@@ -50,13 +50,4 @@
       Caption = "Parameter";
     }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public ParameterView(IParameter content)
-      : this() {
-      Content = content;
-    }
 
     protected override void OnContentChanged() {
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 3566)
@@ -53,13 +53,4 @@
       InitializeComponent();
       Caption = "ValueLookupParameter";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public ValueLookupParameterView(IValueLookupParameter<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 3566)
@@ -54,13 +54,4 @@
       InitializeComponent();
       Caption = "ValueParameter";
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
-    /// <param name="variable">The variable to represent visually.</param>
-    public ValueParameterView(IValueParameter<T> content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Problems.ArtificialAnt.Views/3.3/AntTrailView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ArtificialAnt.Views/3.3/AntTrailView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.ArtificialAnt.Views/3.3/AntTrailView.cs	(revision 3566)
@@ -40,9 +40,4 @@
     public AntTrailView() {
       InitializeComponent();
-    }
-
-    public AntTrailView(AntTrail content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs	(revision 3566)
@@ -26,9 +26,4 @@
     }
 
-    public DataAnalysisProblemDataView(DataAnalysisProblemData content)
-      : this() {
-      Content = content;
-    }
-
     private void importButton_Click(object sender, EventArgs e) {
       if (openFileDialog == null) openFileDialog = new OpenFileDialog();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/EstimatedValuesView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/EstimatedValuesView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/EstimatedValuesView.cs	(revision 3566)
@@ -60,9 +60,4 @@
     }
 
-    public EstimatedValuesView(DataAnalysisSolution dataAnalysisSolution)
-      : this() {
-      Content = dataAnalysisSolution;
-    }
-
     #region events
     protected override void RegisterContentEvents() {
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs	(revision 3566)
@@ -60,10 +60,4 @@
       this.chart.ChartAreas[0].AxisY.ScaleView.Zoomable = true;
       this.chart.ChartAreas[0].CursorY.Interval = 0;
-    }
-
-    public LineChartView(DataAnalysisSolution dataAnalysisSolution)
-      : this() {
-      Content = dataAnalysisSolution;
-      RedrawChart();
     }
 
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 3566)
@@ -81,10 +81,4 @@
     }
 
-    public ScatterPlotView(DataAnalysisSolution dataAnalysisSolution)
-      : this() {
-      Content = dataAnalysisSolution;
-      UpdateChart();
-    }
-
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.cs	(revision 3566)
@@ -53,9 +53,4 @@
     }
 
-    public SimplifiedSymbolicExpressionModelView(SymbolicRegressionSolution content)
-      : this() {
-      Content = content;
-    }
-
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.cs	(revision 3566)
@@ -52,10 +52,4 @@
     }
 
-    public SymbolicExpressionModelView(SymbolicRegressionSolution content)
-      : this() {
-      Content = content;
-    }
-
-
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
Index: /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.cs	(revision 3566)
@@ -45,9 +45,4 @@
     }
 
-    public KnapsackSolutionView(KnapsackSolution content)
-      : this() {
-      Content = content;
-    }
-
     protected override void DeregisterContentEvents() {
       Content.BinaryVectorChanged -= new EventHandler(Content_BinaryVectorChanged);
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 3566)
@@ -45,12 +45,4 @@
     public PathTSPTourView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public PathTSPTourView(PathTSPTour content)
-      : this() {
-      Content = content;
     }
 
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 3565)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 3566)
@@ -46,12 +46,4 @@
     public TravelingSalesmanProblemView() {
       InitializeComponent();
-    }
-    /// <summary>
-    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
-    /// </summary>
-    /// <param name="item">The item that should be displayed.</param>
-    public TravelingSalesmanProblemView(TravelingSalesmanProblem content)
-      : this() {
-      Content = content;
     }
 
